input[type="search"]::-webkit-search-cancel-button {
  /* Remove default */
  -webkit-appearance: none;
  /* Now your own custom styles */
   height: 14px;
   width: 14px;
   display: block;
   background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAn0lEQVR42u3UMQrDMBBEUZ9WfQqDmm22EaTyjRMHAlM5K+Y7lb0wnUZPIKHlnutOa+25Z4D++MRBX98MD1V/trSppLKHqj9TTBWKcoUqffbUcbBBEhTjBOV4ja4l4OIAZThEOV6jHO8ARXD+gPPvKMABinGOrnu6gTNUawrcQKNCAQ7QeTxORzle3+sDfjJpPCqhJh7GixZq4rHcc9l5A9qZ+WeBhgEuAAAAAElFTkSuQmCC);
  /* setup all the background tweaks for our custom icon */
  background-repeat: no-repeat;
  /* icon size */
  background-size: 14px;
}

/* FlexBox */
.disp_f {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}
.disp_f_wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}
/* ステータスバー */
.wiki_status_bar {
  font-size: 0px;
  height: 10px;
  vertical-align: middle;
}
.wiki_status_bar2 {
  font-size: 0px;
  height: 10px;
  vertical-align: middle;
  opacity: 0.2;
}
/* 真珠ポイント */
.wiki_point {
  margin: 18px 0 4px 0;
  background: #ffeeee;
  color: #f48;
  font-size: 20px;
  font-weight: 700;
  text-align: center;
  padding: 0 0 3px 0;
  line-height: 1;
}
.wiki_point_title img {
  border-radius: 50%;
  margin: 0;
  vertical-align: -10px;
}
.wiki_point_title {
  position: relative;
  top: -11px;
  border: 1px solid #f48;
  padding: 5px 8px 5px 2px;
  border-radius: 16px;
  background: white;
  color: #f48;
  font-weight: 700;
  font-size: 13px;
}
/* 最強火力ランキング */
.dq_weapon_skill_ranking tr:hover {
  cursor: pointer;
  background-color: #fff1f1 !important;
}
#dq_kokoro_modal .dq_kokoro {
  width: 98%;
  max-width: 60px !important;
}
.dq_add_required_kokoro,
.dq_del_required_kokoro,
.dq_add_no_kokoro,
.dq_del_no_kokoro {
  cursor: pointer;
}
.dq_add_required_kokoro:hover,
.dq_del_required_kokoro:hover,
.dq_add_no_kokoro:hover,
.dq_del_no_kokoro:hover {
  opacity: 0.7;
  filter: alpha(opacity=70);
  -ms-filter: 'alpha(opacity=70)';
}
.dq_loading {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 999999999;
  background: #fff;
  color: #55f;
  line-height: 54px;
  text-align: center;
  width: 140px;
  height: 60px;
  margin-left: -70px;
  margin-top: -30px;
  border: 3px solid #55f;
  font-weight: 700;
}

/* こころソート */
#dq_kokoro_filter td li{
  width:19.5%;
  line-height: 1.2;
  padding:4px 0;
  border:1px solid #ddd;
  cursor:pointer;
  text-align: center;
}
#dq_kokoro_filter td li.selected {
  border:2px solid #f48;
  padding:3px 0;
}

/* スイッチ */
.dq_toggle_switch label {
  width: 55px;
  height: 22px;
  background: #ccc;
  position: relative;
  display: inline-block;
  border-radius: 46px;
  transition: 0.4s;
  box-sizing: border-box;
}
.dq_toggle_switch.checked label {
  background-color: #ffaaaa;
}
.dq_toggle_switch label:after {
  content: '';
  position: absolute;
  width: 22px;
  height: 22px;
  border-radius: 100%;
  left: 0;
  top: 0;
  z-index: 2;
  background: #fff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  transition: 0.4s;
  cursor: pointer;
}
.dq_toggle_switch.checked label:after {
  left: 33px;
}

/* 職業リスト選択 */
ul.dq_select{
  display: -ms-grid;
  display: grid;
  gap:2px;
  justify-content: center;
}
ul.dq_select.dq_select_two{
  grid-template-columns:1fr 1fr;
  -ms-grid-columns: 1fr 1fr;
}
ul.dq_select.dq_select_three{
  grid-template-columns:1fr 1fr 1fr;
  -ms-grid-columns: 1fr 1fr 1fr;
}
ul.dq_select.dq_select_four{
  grid-template-columns:1fr 1fr 1fr 1fr;
  -ms-grid-columns: 1fr 1fr 1fr 1fr;
}
ul.dq_select.dq_select_five{
  grid-template-columns:1fr 1fr 1fr 1fr 1fr;
  -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr;
}
ul.dq_select li{
  padding:4px 0;
  font-size:12px;
  border:1px solid #ddd;
  text-align: center;
  cursor:pointer;
}
ul.dq_select li.selected{
  border:2px solid #f48;
  padding:3px 0;
}
ul.dq_select li img{
  margin:0;
  vertical-align:middle;
}

/* 最強火力ランキングの天気・時間帯 */
ul.dq_config_list li{
  margin-bottom:5px;
}
ul.dq_config_list li .dq_title{
  font-weight:700;
  font-size:14px;
}
ul.dq_config_list li img{
  height:25px;
}

/* 継承玉 */
.wiki_dq_keisho{
  width: 20px;
  height: 20px;
  border-radius: 50%;
  display: inline-block;
  vertical-align: text-top;
  border: black 1px solid;
  padding:1px;
}
.wiki_dq_keisho img{
  margin:0!important;
}
.wiki_dq_keisho_青{
  background: blue;
}
.wiki_dq_keisho_水{
  background: lightskyblue;
}
.wiki_dq_keisho_赤{
  background: red;
}
.wiki_dq_keisho_緑{
  background: green;
}
.wiki_dq_keisho_紫{
  background: purple;
}
.wiki_dq_keisho_橙{
  background: orange;
}


/* こころ道トグル */
/*
th.dq_kokorodo_toggle{
  position: relative;
  cursor: pointer;
}
th.dq_kokorodo_toggle:before{
  position: absolute;
  right: 5px;
  font-family: 'FontAwesome';
  content: '\f078';
}
th.dq_kokorodo_toggle.dq_open:before{
  content: '\f077';
}
*/

/* 以下、こころ道の記法でのみ利用 */
th.dq_kokorodo_cond_toggle{
  cursor: pointer;
}
th.dq_kokorodo_cond_toggle.wiki_selected{
  background:#f0e6cd;
  color:#000;
  text-shadow: 0.5px 0.5px 1px #fff;
}
.dq_grid {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(70px,1fr));
  grid-template-rows: auto;
  gap: 4px 2px;
  justify-content: space-between;
  justify-items: center;
  align-items: center;
  vertical-align: middle;
}
.dq_grid li {
  width: 100%;
  height: 100%;
  align-items: center;
  justify-content: center;
  line-height: 1;
}

/* 火力ツール */
.dq_kokoro_calc th, .dq_kokoro_calc td {
  display: none;
}
